Skip to main content
GET
List Customers

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

email
string | null

Return only records matching exact email.

query
string | null

Return only records matching name, email, or external ID.

active
boolean | null

Return only records matching active customers, i.e. customers with at least one trialing, active or past_due subscription.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
email,
-email,
name,
-name
metadata
MetadataQuery · object | null

Return only records matching metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Request completed successfully

items
(CustomerIndividual · object | CustomerTeam · object)[]
required

Object representing customer in an organization.

pagination
Pagination · object
required